# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [0.3.1](https://github.com/ionic-team/ionic-portals/compare/0.3.0...0.3.1) (2021-12-17)


### Bug Fixes

* **android:** exception when re-adding a portal fragment within a pager ([#103](https://github.com/ionic-team/ionic-portals/issues/103)) ([0026e60](https://github.com/ionic-team/ionic-portals/commit/0026e601ba6c847e463de010b21ce203389f9ce1))





# [0.3.0](https://github.com/ionic-team/ionic-portals/compare/0.3.0-pre...0.3.0) (2021-11-18)


### Bug Fixes

* **android:** replaced fragment tried to re-instantiate with null portal ([#95](https://github.com/ionic-team/ionic-portals/issues/95)) ([ccccb6a](https://github.com/ionic-team/ionic-portals/commit/ccccb6a5a7eba8f235a7674518a62add2f2c1670))
* **android:** replaced old bridgefragment layout with new portal layout ([#96](https://github.com/ionic-team/ionic-portals/issues/96)) ([4ca463a](https://github.com/ionic-team/ionic-portals/commit/4ca463ab8cfff70e783b99ac5231f339508b2265))
* Carthage requirement for bundling Capacitor/Cordova ([4f655ad](https://github.com/ionic-team/ionic-portals/commit/4f655adbb1279a808e26c32a252cb46bcb96eb04))
* Do not embed self framework ([4e15620](https://github.com/ionic-team/ionic-portals/commit/4e15620ee4872c4f047597d73cffadf8b21b9cca))
* Remove dependency from correct project ([b88e673](https://github.com/ionic-team/ionic-portals/commit/b88e67367d140016fb2d8269a07b10f8048fb57c))


### Features

* **ios:** diverse use cases via [@objc](https://github.com/objc) ([#91](https://github.com/ionic-team/ionic-portals/issues/91)) ([39ee7f7](https://github.com/ionic-team/ionic-portals/commit/39ee7f7d2945420a7e3ef24064ea951f2c7e0e48))
* Add Github Action to generate .xcframwork on release ([#93](https://github.com/ionic-team/ionic-portals/issues/93)) ([2158843](https://github.com/ionic-team/ionic-portals/commit/215884321f037feeea07a8cb09246bc1264b8d19))





## [0.2.2](https://github.com/ionic-team/ionic-portals/compare/0.2.1...0.2.2) (2021-10-15)


### Bug Fixes

* **android:** readme and to incr. version ([f1524da](https://github.com/ionic-team/ionic-portals/commit/f1524dad01c9121b15cc88cfa158909e507be80c))





## [0.2.1](https://github.com/ionic-team/ionic-portals/compare/0.2.0...0.2.1) (2021-09-27)


### Bug Fixes

* **android:** expose Capacitor dependency through Portals library ([#59](https://github.com/ionic-team/ionic-portals/issues/59)) ([f95d43f](https://github.com/ionic-team/ionic-portals/commit/f95d43f337821b2aafdaba1a58fbb50c0fcc6d30))
* **ios:** remove unused method ([#55](https://github.com/ionic-team/ionic-portals/issues/55)) ([ac46b82](https://github.com/ionic-team/ionic-portals/commit/ac46b822c1e92048b58812a54ed2cc22b676a9a2))





# 0.2.0 (2021-09-14)


### Bug Fixes

* **android:** rename portal package correctly ([c7b9a4c](https://github.com/ionic-team/ionic-portals/commit/c7b9a4c4753f30c1401a64a4ee8e0bae5cfc8018))
* **iOS:** Add podspec and podfile to project ([52a4090](https://github.com/ionic-team/ionic-portals/commit/52a409048e2d4860e5afe692b711326eff8397f2))


### Features

* **android:** add package publish to native-portal org ([9a01e46](https://github.com/ionic-team/ionic-portals/commit/9a01e469a4f60191aa88f837a4fc6a6105d4698e))
* **android:** Portal Manager first pass for android ([2d3a9b2](https://github.com/ionic-team/ionic-portals/commit/2d3a9b2981738d3584d00a829a8677179bce229f))
* **android:** registration logic with error display ([#28](https://github.com/ionic-team/ionic-portals/issues/28)) ([bd9a92d](https://github.com/ionic-team/ionic-portals/commit/bd9a92de7cc1d80683903835e67dfeb4386dbfd5))
* **android:** require registration for Portals to function ([5137f64](https://github.com/ionic-team/ionic-portals/commit/5137f64e5da07c3215ddc041c29b77aef877a3f7))
* **android:** update the portals registration URL ([#25](https://github.com/ionic-team/ionic-portals/issues/25)) ([4084eb1](https://github.com/ionic-team/ionic-portals/commit/4084eb176d0b233f940731bbdf2edffbd61d2043))
* **ios:** Add PortalManager class, stub out Portal and PortalBuilder files ([e847447](https://github.com/ionic-team/ionic-portals/commit/e8474478b0a1bc50730dbdd8509bfc73d75250fb))
* **ios:** adding ios libs ([26bb9ce](https://github.com/ionic-team/ionic-portals/commit/26bb9ce981668157f07441502713eda8ce419eab))
* **ios:** registration error logic ([5a00853](https://github.com/ionic-team/ionic-portals/commit/5a0085344d8ac0f43b64c7ce6a69ed09ba1a20c8))
* Android Portal Lib ([dd9308d](https://github.com/ionic-team/ionic-portals/commit/dd9308df2b22c9902e0fcb6d0a006e33db5d5cc8))
* ios pub/sub changes and api updates ([#14](https://github.com/ionic-team/ionic-portals/issues/14)) ([e923499](https://github.com/ionic-team/ionic-portals/commit/e923499302005e312cb9412b498ba9b34504a6f6))
* ios registration gateway screen ([7eb3ce1](https://github.com/ionic-team/ionic-portals/commit/7eb3ce1628365c16e31a7e3282ec0568195b4124))
* **ios:** Scaffolded iOS project ([e00ace9](https://github.com/ionic-team/ionic-portals/commit/e00ace93512994001fe60107d15c54cd65fab530))
* **iOS:** PortalBuilder class ([619795f](https://github.com/ionic-team/ionic-portals/commit/619795f4fb27d16babe615c563ce9f5fb64df1cc))





## [0.1.4](https://github.com/ionic-team/ionic-portals/compare/0.1.3...0.1.4) (2021-09-14)


### Bug Fixes

* **plugin:** silly change4 ([64cadad](https://github.com/ionic-team/ionic-portals/commit/64cadadc90c08ee3b51941f4a7438b24ff59b5c9))





## [0.1.3](https://github.com/ionic-team/ionic-portals/compare/0.1.2...0.1.3) (2021-09-14)


### Bug Fixes

* **plugin:** silly change3 ([1f42546](https://github.com/ionic-team/ionic-portals/commit/1f4254692800fbae2423df1ece7d13139f651c2e))





## [0.1.2](https://github.com/ionic-team/ionic-portals/compare/0.1.1...0.1.2) (2021-09-14)


### Bug Fixes

* **plugin:** silly change2 ([d84e0e7](https://github.com/ionic-team/ionic-portals/commit/d84e0e7db7caa61cee4d0c9d910d287365e35e12))





## [0.1.1](https://github.com/ionic-team/ionic-portals/compare/0.1.0...0.1.1) (2021-09-14)


### Bug Fixes

* **plugin:** silly change ([27d32bd](https://github.com/ionic-team/ionic-portals/commit/27d32bd5c3de4dd1e59a43ff362e2eb450ebdfba))





# 0.1.0 (2021-09-14)


### Bug Fixes

* **android:** rename portal package correctly ([c7b9a4c](https://github.com/ionic-team/ionic-portals/commit/c7b9a4c4753f30c1401a64a4ee8e0bae5cfc8018))
* **iOS:** Add podspec and podfile to project ([52a4090](https://github.com/ionic-team/ionic-portals/commit/52a409048e2d4860e5afe692b711326eff8397f2))


### Features

* **android:** add package publish to native-portal org ([9a01e46](https://github.com/ionic-team/ionic-portals/commit/9a01e469a4f60191aa88f837a4fc6a6105d4698e))
* **android:** Portal Manager first pass for android ([2d3a9b2](https://github.com/ionic-team/ionic-portals/commit/2d3a9b2981738d3584d00a829a8677179bce229f))
* **android:** registration logic with error display ([#28](https://github.com/ionic-team/ionic-portals/issues/28)) ([bd9a92d](https://github.com/ionic-team/ionic-portals/commit/bd9a92de7cc1d80683903835e67dfeb4386dbfd5))
* **android:** require registration for Portals to function ([5137f64](https://github.com/ionic-team/ionic-portals/commit/5137f64e5da07c3215ddc041c29b77aef877a3f7))
* **android:** update the portals registration URL ([#25](https://github.com/ionic-team/ionic-portals/issues/25)) ([4084eb1](https://github.com/ionic-team/ionic-portals/commit/4084eb176d0b233f940731bbdf2edffbd61d2043))
* **ios:** Add PortalManager class, stub out Portal and PortalBuilder files ([e847447](https://github.com/ionic-team/ionic-portals/commit/e8474478b0a1bc50730dbdd8509bfc73d75250fb))
* **ios:** adding ios libs ([26bb9ce](https://github.com/ionic-team/ionic-portals/commit/26bb9ce981668157f07441502713eda8ce419eab))
* **ios:** registration error logic ([5a00853](https://github.com/ionic-team/ionic-portals/commit/5a0085344d8ac0f43b64c7ce6a69ed09ba1a20c8))
* Android Portal Lib ([dd9308d](https://github.com/ionic-team/ionic-portals/commit/dd9308df2b22c9902e0fcb6d0a006e33db5d5cc8))
* ios pub/sub changes and api updates ([#14](https://github.com/ionic-team/ionic-portals/issues/14)) ([e923499](https://github.com/ionic-team/ionic-portals/commit/e923499302005e312cb9412b498ba9b34504a6f6))
* ios registration gateway screen ([7eb3ce1](https://github.com/ionic-team/ionic-portals/commit/7eb3ce1628365c16e31a7e3282ec0568195b4124))
* **ios:** Scaffolded iOS project ([e00ace9](https://github.com/ionic-team/ionic-portals/commit/e00ace93512994001fe60107d15c54cd65fab530))
* **iOS:** PortalBuilder class ([619795f](https://github.com/ionic-team/ionic-portals/commit/619795f4fb27d16babe615c563ce9f5fb64df1cc))
